---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libNativeCallTest.dylib'
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _SS, symObjAddr: 0x0, symBinAddr: 0x3600, symSize: 0x8 }
  - { offsetInCU: 0x83, offset: 0x83, size: 0x8, addend: 0x0, symName: _SS, symObjAddr: 0x0, symBinAddr: 0x3600, symSize: 0x8 }
  - { offsetInCU: 0xA8, offset: 0xA8, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest_getFF, symObjAddr: 0x8, symBinAddr: 0x3608, symSize: 0xC }
  - { offsetInCU: 0x101, offset: 0x101, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest__1FF, symObjAddr: 0x14, symBinAddr: 0x3614, symSize: 0x8 }
  - { offsetInCU: 0x155, offset: 0x155, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest__1FF, symObjAddr: 0x14, symBinAddr: 0x3614, symSize: 0x8 }
  - { offsetInCU: 0x177, offset: 0x177, size: 0x8, addend: 0x0, symName: _SDILDS, symObjAddr: 0x1C, symBinAddr: 0x361C, symSize: 0x2C }
  - { offsetInCU: 0x1BB, offset: 0x1BB, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest_getSDILDS, symObjAddr: 0x48, symBinAddr: 0x3648, symSize: 0xC }
  - { offsetInCU: 0x264, offset: 0x264, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest__1SDILDS, symObjAddr: 0x54, symBinAddr: 0x3654, symSize: 0x2C }
  - { offsetInCU: 0x2EF, offset: 0x2EF, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest__1SDILDS, symObjAddr: 0x54, symBinAddr: 0x3654, symSize: 0x2C }
  - { offsetInCU: 0x331, offset: 0x331, size: 0x8, addend: 0x0, symName: _F32SDILDS, symObjAddr: 0x80, symBinAddr: 0x3680, symSize: 0xEC }
  - { offsetInCU: 0x482, offset: 0x482, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest_getF32SDILDS, symObjAddr: 0x16C, symBinAddr: 0x376C, symSize: 0xC }
  - { offsetInCU: 0x667, offset: 0x667, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest__1F32SDILDS, symObjAddr: 0x178, symBinAddr: 0x3778, symSize: 0xEC }
  - { offsetInCU: 0x8BF, offset: 0x8BF, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest__1F32SDILDS, symObjAddr: 0x178, symBinAddr: 0x3778, symSize: 0xEC }
  - { offsetInCU: 0xA0E, offset: 0xA0E, size: 0x8, addend: 0x0, symName: _D32SDILDS, symObjAddr: 0x264, symBinAddr: 0x3864, symSize: 0xEC }
  - { offsetInCU: 0xB67, offset: 0xB67, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest_getD32SDILDS, symObjAddr: 0x350, symBinAddr: 0x3950, symSize: 0xC }
  - { offsetInCU: 0xD4C, offset: 0xD4C, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest__1D32SDILDS, symObjAddr: 0x35C, symBinAddr: 0x395C, symSize: 0xEC }
  - { offsetInCU: 0xFAC, offset: 0xFAC, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest__1D32SDILDS, symObjAddr: 0x35C, symBinAddr: 0x395C, symSize: 0xEC }
  - { offsetInCU: 0x1103, offset: 0x1103, size: 0x8, addend: 0x0, symName: _I32SDILDS, symObjAddr: 0x448, symBinAddr: 0x3A48, symSize: 0xF0 }
  - { offsetInCU: 0x124B, offset: 0x124B, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest_getI32SDILDS, symObjAddr: 0x538, symBinAddr: 0x3B38, symSize: 0xC }
  - { offsetInCU: 0x1430, offset: 0x1430, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest__1I32SDILDS, symObjAddr: 0x544, symBinAddr: 0x3B44, symSize: 0xF4 }
  - { offsetInCU: 0x1683, offset: 0x1683, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest__1I32SDILDS, symObjAddr: 0x544, symBinAddr: 0x3B44, symSize: 0xF4 }
  - { offsetInCU: 0x17CD, offset: 0x17CD, size: 0x8, addend: 0x0, symName: _L32SDILDS, symObjAddr: 0x638, symBinAddr: 0x3C38, symSize: 0xF0 }
  - { offsetInCU: 0x191D, offset: 0x191D, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest_getL32SDILDS, symObjAddr: 0x728, symBinAddr: 0x3D28, symSize: 0xC }
  - { offsetInCU: 0x1B02, offset: 0x1B02, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest__1L32SDILDS, symObjAddr: 0x734, symBinAddr: 0x3D34, symSize: 0xF4 }
  - { offsetInCU: 0x1D5D, offset: 0x1D5D, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest__1L32SDILDS, symObjAddr: 0x734, symBinAddr: 0x3D34, symSize: 0xF4 }
  - { offsetInCU: 0x1EAF, offset: 0x1EAF, size: 0x8, addend: 0x0, symName: _I32I, symObjAddr: 0x828, symBinAddr: 0x3E28, symSize: 0xB8 }
  - { offsetInCU: 0x1FCE, offset: 0x1FCE, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest_getI32I, symObjAddr: 0x8E0, symBinAddr: 0x3EE0, symSize: 0xC }
  - { offsetInCU: 0x217C, offset: 0x217C, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest__1I32I, symObjAddr: 0x8EC, symBinAddr: 0x3EEC, symSize: 0xBC }
  - { offsetInCU: 0x2388, offset: 0x2388, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest__1I32I, symObjAddr: 0x8EC, symBinAddr: 0x3EEC, symSize: 0xBC }
...
